'use client'

import { ArrowUturnLeftIcon } from '@heroicons/react/20/solid'
import { Button } from './ui/button'

const NaviagteBackButton = () => {
  const handleClick = () => {
    window.history.back()
  }
  return (
    <Button
      className="cursor-pointer text-muted-foreground hover:text-foreground bg-transparent hover:bg-muted-foreground/10 border border-muted-foreground/10"
      onClick={handleClick}
    >
      <ArrowUturnLeftIcon className="size-6" />
    </Button>
  )
}

export default NaviagteBackButton
