import { withPayload } from '@payloadcms/next/withPayload'

/** @type {import('next').NextConfig} */
const nextConfig = {
  images: {
    domains: ['covers.openlibrary.org', 'cdn.beitzah.net'],
  },
  async rewrites() {
    return [
      {
        source: '/search',
        destination: '/books',
      },
      {
        source: '/profile',
        destination: '/manage',
      },
    ]
  },
}

export default withPayload(nextConfig, { devBundleServerPackages: false })
