import { User } from '@/payload-types'
import type { AccessArgs } from 'payload'

type isAdmin = (args: AccessArgs<User>) => boolean

export const admin: isAdmin = ({ req: { user } }) => user?.role === 'admin'

